.header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 1.5rem;
  max-width: 100%;
  border: 2px solid  rgb(180, 102, 102);
}

.headerIn {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  flex: 1; 
}

.headerIn h4 {
  margin: 0 2rem; 
}

@media (max-width: 550px) {
  .headerIn {
    flex-direction: column;
    align-items: flex-end;
    gap: 1rem;
    margin-right: 0.3rem;
  }
  .header{
    padding: 0;
  }
  .header img {
    max-width: 100%;
  }
}